/* Based on mobile center */
    var centremap   = new google.maps.LatLng(51.516454, -0.14183);

    var headoffice  = new google.maps.LatLng(51.516454, -0.14183);
    var markers     = [];
    var iterator    = 0;
    var locations   = [
        new google.maps.LatLng(51.516454, -0.14183),
    ];
    var map;

    function initialize() {
        var mapOptions = {
            zoom: 17,
            mapTypeId: google.maps.MapTypeId.ROADMAP,
            zoomControl: true,
            scaleControl: true,
            scrollwheel: false,
            center: centremap
        };

        dropdelay();

        map = new google.maps.Map(document.getElementById("map_canvas"),
            mapOptions);

        // Create an array of styles.
        var styles = [
            {
                stylers: [
                ]
            },
            {
                featureType: "all",
                elementType: "geometry.fill",
                stylers: [
                    {color: "#ffffff"}
                    ]
            },
            {
                featureType: "all",
                elementType: "geometry.stroke",
                stylers: [
                    {color: "#E1DFDC"}
                ]
            },
            {
                featureType: "road",
                elementType: "geometry",
                stylers: [
                    {hue: "#cccccc"}
                ]
            },
            {
                featureType: "road",
                elementType: "geometry.stroke",
                stylers: [
                    {hue: "#D33013"},
                    {saturation: +50}
                ]
            },
            {
                featureType: "road",
                elementType: "labels.text",
                stylers: [
                    {
                        color: "#333333"
                    }
                ]
            },
            {
                featureType: "road",
                elementType: "labels.text.stroke",
                stylers: [
                    {
                        visibility: "off"
                    }
                ]
            },
            {
                featureType: "road.arterial",
                elementType: "geometry.stroke",
                stylers: [
                    {color: "#D33013"},
                    {lightness: 10}
                ]
            },
            {
                featureType: 'administrative',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'landscape',
                stylers: [{color: "#ffffff"}]
            },
            {
                featureType: 'landscape',
                elementType: "geometry.stroke",
                stylers: [{color: "#999999"}]
            },
            {
                featureType: 'poi.business',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.government',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.medical',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.place_of_worship',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.school',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.sports_complex',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.attraction',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'poi.park',
                elementType: 'geometry',
                stylers: [
                    {visibility: 'on'},
                    {color: "#c8eab4"}
                    ]
            },
            {
                featureType: 'transit',
                stylers: [{visibility: 'off'}]
            },
            {
                featureType: 'transit.station.rail',
                stylers: [
                    {visibility: 'on'}
                ]
            }
        ];

        // Create a new StyledMapType object, passing it the array of styles,
        // as well as the name to be displayed on the map type control.
        var styledMap = new google.maps.StyledMapType(styles,
            {name: "Styled Map"});

        //Associate the styled map with the MapTypeId and set it to display.
        map.mapTypes.set('map_style', styledMap);
        map.setMapTypeId('map_style');
    }

    function dropdelay() {
        setTimeout(function () {
            drop();
        }, 1000);
    }

    function drop() {
        for (var i = 0; i < locations.length; i++) {
            setTimeout(function () {
                addMarker();
            }, i * 1);
        }
    }

    function addMarker() {

        var abox = {
            path: 'M0-48c-9.8 0-17.7 7.8-17.7 17.4 0 15.5 17.7 30.6 17.7 30.6s17.7-15.4 17.7-30.6c0-9.6-7.9-17.4-17.7-17.4z',
            fillColor: '#ed3100',
            fillOpacity: 0.4,
            scale: 1.2,
            strokeColor: 'black',
            strokeWeight: 2
        };

        var marker = new google.maps.Marker({
            position: map.getCenter(),
            icon: abox,
            map: map
        });

        //var image = new google.maps.MarkerImage('http://argyllpropertypartners.local/content/themes/mezzanine-child/assets/images/pin.png',
          //  new google.maps.Size(64, 64),
            //new google.maps.Point(0, 0),
            //new google.maps.Point(15, 52));
        var shape = {
            coord: [1, 1, 1, 20, 18, 20, 18, 1],
            type: 'poly'
        };

        markers.push(new google.maps.Marker({
            position: locations[iterator],
            map: map,
            animation: google.maps.Animation.DROP,
            icon: abox,
            shape: shape
        }));
        iterator++;
    }


    google.maps.event.addDomListener(window, 'load', initialize);

